Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 184)
+++ lemon/graph_to_eps.h	(revision 206)
@@ -64,5 +64,5 @@
 ///Default traits class of \ref GraphToEps
 
-///Default traits class of \ref GraphToEps
+///Default traits class of \ref GraphToEps.
 ///
 ///\c G is the type of the underlying graph.
@@ -141,10 +141,9 @@
 
   ///Constructor
-  ///\param _g is a reference to the graph to be printed
-  ///\param _os is a reference to the output stream.
-  ///\param _os is a reference to the output stream.
+  ///\param _g  Reference to the graph to be printed.
+  ///\param _os Reference to the output stream.
+  ///\param _os Reference to the output stream. By default it is <tt>std::cout</tt>.
   ///\param _pros If it is \c true, then the \c ostream referenced by \c _os
   ///will be explicitly deallocated by the destructor.
-  ///By default it is <tt>std::cout</tt>
   DefaultGraphToEpsTraits(const G &_g,std::ostream& _os=std::cout,
 			  bool _pros=false) :
@@ -174,5 +173,7 @@
 ///Auxiliary class to implement the named parameters of \ref graphToEps()
 
-///Auxiliary class to implement the named parameters of \ref graphToEps()
+///Auxiliary class to implement the named parameters of \ref graphToEps().
+///
+///For detailed examples see the \ref graph_to_eps_demo.cc demo file.
 template<class T> class GraphToEps : public T 
 {
@@ -259,5 +260,5 @@
   ///Node shapes
 
-  ///Node shapes
+  ///Node shapes.
   ///
   enum NodeShapes { 
@@ -336,5 +337,5 @@
 
   ///Sets the map of the node coordinates.
-  ///\param x must be a node map with dim2::Point<double> or
+  ///\param x must be a node map with \ref dim2::Point "dim2::Point<double>" or
   ///\ref dim2::Point "dim2::Point<int>" values. 
   template<class X> GraphToEps<CoordsTraits<X> > coords(const X &x) {
@@ -348,5 +349,5 @@
   ///Sets the map of the node sizes
 
-  ///Sets the map of the node sizes
+  ///Sets the map of the node sizes.
   ///\param x must be a node map with \c double (or convertible) values. 
   template<class X> GraphToEps<NodeSizesTraits<X> > nodeSizes(const X &x)
@@ -377,7 +378,7 @@
   ///Sets the text printed on the nodes
 
-  ///Sets the text printed on the nodes
+  ///Sets the text printed on the nodes.
   ///\param x must be a node map with type that can be pushed to a standard
-  ///ostream. 
+  ///\c ostream. 
   template<class X> GraphToEps<NodeTextsTraits<X> > nodeTexts(const X &x)
   {
@@ -394,5 +395,5 @@
   ///With this command it is possible to insert a verbatim PostScript
   ///block to the nodes.
-  ///The PS current point will be moved to the centre of the node before
+  ///The PS current point will be moved to the center of the node before
   ///the PostScript block inserted.
   ///
@@ -401,5 +402,5 @@
   ///
   ///\param x must be a node map with type that can be pushed to a standard
-  ///ostream.
+  ///\c ostream.
   ///
   ///\sa nodePsTextsPreamble()
@@ -416,5 +417,5 @@
   ///Sets the map of the arc widths
 
-  ///Sets the map of the arc widths
+  ///Sets the map of the arc widths.
   ///\param x must be an arc map with \c double (or convertible) values. 
   template<class X> GraphToEps<ArcWidthsTraits<X> > arcWidths(const X &x)
@@ -430,5 +431,5 @@
   ///Sets the map of the node colors
 
-  ///Sets the map of the node colors
+  ///Sets the map of the node colors.
   ///\param x must be a node map with \ref Color values.
   ///
@@ -446,5 +447,5 @@
   ///Sets the map of the node text colors
 
-  ///Sets the map of the node text colors
+  ///Sets the map of the node text colors.
   ///\param x must be a node map with \ref Color values. 
   ///
@@ -464,5 +465,5 @@
   ///Sets the map of the arc colors
 
-  ///Sets the map of the arc colors
+  ///Sets the map of the arc colors.
   ///\param x must be an arc map with \ref Color values. 
   ///
@@ -488,7 +489,7 @@
   /// \sa autoNodeScale()
   GraphToEps<T> &nodeScale(double d=.01) {_nodeScale=d;return *this;}
-  ///Turns on/off the automatic node width scaling.
-
-  ///Turns on/off the automatic node width scaling.
+  ///Turns on/off the automatic node size scaling.
+
+  ///Turns on/off the automatic node size scaling.
   ///
   ///\sa nodeScale()
@@ -498,7 +499,7 @@
   }
 
-  ///Turns on/off the absolutematic node width scaling.
-
-  ///Turns on/off the absolutematic node width scaling.
+  ///Turns on/off the absolutematic node size scaling.
+
+  ///Turns on/off the absolutematic node size scaling.
   ///
   ///\sa nodeScale()
@@ -509,7 +510,4 @@
 
   ///Negates the Y coordinates.
-
-  ///Negates the Y coordinates.
-  ///
   GraphToEps<T> &negateY(bool b=true) {
     _negY=b;return *this;
@@ -558,69 +556,33 @@
   }
   ///Sets a global scale factor for the whole picture
-
-  ///Sets a global scale factor for the whole picture
-  ///
-
   GraphToEps<T> &scale(double d) {_scale=d;return *this;}
   ///Sets the width of the border around the picture
-
-  ///Sets the width of the border around the picture
-  ///
   GraphToEps<T> &border(double b=10) {_xBorder=_yBorder=b;return *this;}
   ///Sets the width of the border around the picture
-
-  ///Sets the width of the border around the picture
-  ///
   GraphToEps<T> &border(double x, double y) {
     _xBorder=x;_yBorder=y;return *this;
   }
   ///Sets whether to draw arrows
-
-  ///Sets whether to draw arrows
-  ///
   GraphToEps<T> &drawArrows(bool b=true) {_drawArrows=b;return *this;}
   ///Sets the length of the arrowheads
-
-  ///Sets the length of the arrowheads
-  ///
   GraphToEps<T> &arrowLength(double d=1.0) {_arrowLength*=d;return *this;}
   ///Sets the width of the arrowheads
-
-  ///Sets the width of the arrowheads
-  ///
   GraphToEps<T> &arrowWidth(double d=.3) {_arrowWidth*=d;return *this;}
   
   ///Scales the drawing to fit to A4 page
-
-  ///Scales the drawing to fit to A4 page
-  ///
   GraphToEps<T> &scaleToA4() {_scaleToA4=true;return *this;}
   
-  ///Enables parallel arcs
-
   ///Enables parallel arcs
   GraphToEps<T> &enableParallel(bool b=true) {_enableParallel=b;return *this;}
   
-  ///Sets the distance 
-  
-  ///Sets the distance 
-  ///
+  ///Sets the distance between parallel arcs
   GraphToEps<T> &parArcDist(double d) {_parArcDist*=d;return *this;}
   
   ///Hides the arcs
-  
-  ///Hides the arcs
-  ///
   GraphToEps<T> &hideArcs(bool b=true) {_showArcs=!b;return *this;}
   ///Hides the nodes
-  
-  ///Hides the nodes
-  ///
   GraphToEps<T> &hideNodes(bool b=true) {_showNodes=!b;return *this;}
   
   ///Sets the size of the node texts
-  
-  ///Sets the size of the node texts
-  ///
   GraphToEps<T> &nodeTextSize(double d) {_nodeTextSize=d;return *this;}
 
@@ -628,6 +590,5 @@
 
   ///Sets the color of the node texts to be as different from the node color
-  ///as it is possible
-  ///
+  ///as it is possible.
   GraphToEps<T> &distantColorNodeTexts()
   {_nodeTextColorType=DIST_COL;return *this;}
@@ -635,7 +596,5 @@
 
   ///Sets the color of the node texts to be black or white according to
-  ///which is more 
-  ///different from the node color
-  ///
+  ///which is more different from the node color.
   GraphToEps<T> &distantBWNodeTexts()
   {_nodeTextColorType=DIST_BW;return *this;}
@@ -649,7 +608,7 @@
     _nodePsTextsPreamble=str ;return *this;
   }
-  ///Sets whether the the graph is undirected
-
-  ///Sets whether the the graph is undirected.
+  ///Sets whether the graph is undirected
+
+  ///Sets whether the graph is undirected.
   ///
   ///This setting is the default for undirected graphs.
@@ -658,7 +617,7 @@
    GraphToEps<T> &undirected(bool b=true) {_undirected=b;return *this;}
 
-  ///Sets whether the the graph is directed
-
-  ///Sets whether the the graph is directed.
+  ///Sets whether the graph is directed
+
+  ///Sets whether the graph is directed.
   ///Use it to show the edges as a pair of directed ones.
   ///
@@ -717,5 +676,4 @@
     if(_title.size()>0) os << "%%Title: " << _title << '\n';
      if(_copyright.size()>0) os << "%%Copyright: " << _copyright << '\n';
-//        << "%%Copyright: XXXX\n"
     os << "%%Creator: LEMON, graphToEps()\n";
 
@@ -749,5 +707,5 @@
       for(ArcIt e(g);e!=INVALID;++e)
 	max_w=std::max(double(_arcWidths[e]),max_w);
-      ///\todo better 'epsilon' would be nice here.
+      //\todo better 'epsilon' would be nice here.
       if(max_w>EPSILON) {
 	_arcWidthScale/=max_w;
@@ -759,5 +717,5 @@
       for(NodeIt n(g);n!=INVALID;++n)
 	max_s=std::max(double(_nodeSizes[n]),max_s);
-      ///\todo better 'epsilon' would be nice here.
+      //\todo better 'epsilon' would be nice here.
       if(max_s>EPSILON) {
 	_nodeScale/=max_s;
@@ -1115,7 +1073,4 @@
 
   ///An alias for arcWidths()
-
-  ///An alias for arcWidths()
-  ///
   template<class X> GraphToEps<ArcWidthsTraits<X> > edgeWidths(const X &x)
   {
@@ -1124,7 +1079,4 @@
 
   ///An alias for arcColors()
-
-  ///An alias for arcColors()
-  ///
   template<class X> GraphToEps<ArcColorsTraits<X> >
   edgeColors(const X &x)
@@ -1134,13 +1086,7 @@
 
   ///An alias for arcWidthScale()
-
-  ///An alias for arcWidthScale()
-  ///
   GraphToEps<T> &edgeWidthScale(double d) {return arcWidthScale(d);}
 
   ///An alias for autoArcWidthScale()
-
-  ///An alias for autoArcWidthScale()
-  ///
   GraphToEps<T> &autoEdgeWidthScale(bool b=true)
   {
@@ -1149,7 +1095,4 @@
   
   ///An alias for absoluteArcWidths()
-
-  ///An alias for absoluteArcWidths()
-  ///
   GraphToEps<T> &absoluteEdgeWidths(bool b=true)
   {
@@ -1158,13 +1101,7 @@
   
   ///An alias for parArcDist()
-
-  ///An alias for parArcDist()
-  ///
   GraphToEps<T> &parEdgeDist(double d) {return parArcDist(d);}
   
   ///An alias for hideArcs()
-  
-  ///An alias for hideArcs()
-  ///
   GraphToEps<T> &hideEdges(bool b=true) {return hideArcs(b);}
 
@@ -1186,7 +1123,7 @@
 ///\ingroup eps_io
 ///Generates an EPS file from a graph.
-///\param g is a reference to the graph to be printed
-///\param os is a reference to the output stream.
-///By default it is <tt>std::cout</tt>
+///\param g Reference to the graph to be printed.
+///\param os Reference to the output stream.
+///By default it is <tt>std::cout</tt>.
 ///
 ///This function also has a lot of
@@ -1199,4 +1136,7 @@
 ///              .arcWidthScale(.4).run();
 ///\endcode
+///
+///For more detailed examples see the \ref graph_to_eps_demo.cc demo file.
+///
 ///\warning Don't forget to put the \ref GraphToEps::run() "run()"
 ///to the end of the parameter list.
